<div class="mt-4 col-8 offset-2">
	<div class="card">
		<div class="card-header">Registro</div>
		<div class="card-body">
			<form #signForm=ngForm (ngSubmit)='onSubmit()'>
				
				<div class="form-group row">
				    <label for="inputname3" class="col-sm-2 col-form-label">Name</label>
				    <div class="col-sm-10">
				      <input type="text"  name='name' class="form-control" id="inputname3" placeholder="Name" [(ngModel)]="form.name" required>
					      <div class="alert alert-danger" [hidden]='!error.name'>
							{{ error.name }}
						</div>
				    </div>
				    
				  </div>
			  <div class="form-group row">
			    <label for="inputEmail3" class="col-sm-2 col-form-label">Email</label>
			    <div class="col-sm-10">
			      <input type="email"  name='email' class="form-control" id="inputEmail3" placeholder="Email" [(ngModel)]="form.email" required>
			      <div class="alert alert-danger" [hidden]='!error.email'>
					{{ error.email }}
				</div>
			    </div>
			  </div>
			  
			  <div class="form-group row">
			    <label for="inputPassword3" class="col-sm-2 col-form-label">Password</label>
			    <div class="col-sm-10">
			      <input type="password" name='password' class="form-control" id="inputPassword3" placeholder="Password" [(ngModel)]="form.password" required>
			      <div class="alert alert-danger" [hidden]='!error.password'>
					{{ error.password }}
				</div>
			    </div>
			  </div>
			  <div class="form-group row">
			    <label for="inputPasswordC3" class="col-sm-2 col-form-label">Comfirm password</label>
			    <div class="col-sm-10">
			      <input type="password" name='password_confirmation' class="form-control" id="inputPasswordC3" placeholder="Confirm password" [(ngModel)]="form.password_confirmation" required>
			    </div>
			  </div>

			  <div class="form-group row">
			    <div class="col-10 offset-2">
			      <button type="submit" class="float-right btn btn-primary" [disabled]="!signForm.valid">Registrar</button>
			    </div>
			  </div>
			</form>
		</div>
	</div>
</div>